
OpenRTM-aist (C++) - バグ #2123

rtc-templateのバグ
2011/05/18 12:25 - n-ando

ステータス: 終了 開始日: 2011/05/18

優先度: 通常 期日:  

担当者: n-ando 進捗率: 100%

カテゴリ:  予定工数: 0.00時間

対象バージョン:    

説明

岡田です。

leus@amur:/tmp$ /opt/grx/bin//rtc-template -bcxx --module-name=Test

でできる、
TestComp.cpp
で以下のようなコードがあるんですが、
PortListを  RTC::PortServiceList* portlist;
に直す必要がありましたので報告しておきます。

//�Get�the�component's�object�reference
//��RTC::RTObject_var�rtobj;
//��rtobj�=�RTC::RTObject::_narrow(manager->getPOA()->servant_to_reference(comp));

 

//�Get�the�port�list�of�the�component
//��PortList*�portlist;
//��portlist�=�rtobj->get_ports();

関係しているリビジョン
リビジョン 2099 - 2011/05/21 16:03 - n-ando

PortList in the commented-out code has been changed into PortServiceList.
Indentation has been modified. refs #2123

リビジョン 2099 - 2011/05/21 16:03 - n-ando

PortList in the commented-out code has been changed into PortServiceList.
Indentation has been modified. refs #2123

リビジョン 2099 - 2011/05/21 16:03 - n-ando

PortList in the commented-out code has been changed into PortServiceList.
Indentation has been modified. refs #2123

履歴
#1 - 2011/05/21 16:03 - n-ando

- ステータス を 新規 から 終了 に変更

- 進捗率 を 0 から 100 に変更

もともとコメントアウトされていたコードなので、あまり影響はない。
一応修正済み。

#2 - 2015/07/10 23:33 - n-ando
- 対象バージョン を削除 (RELEASE_1_1_0)
